Package tigase.server.xmppclient

## Class ClientTrustManagerFactory

- java.lang.Object
- - tigase.server.xmppclient.ClientTrustManagerFactory

-     @Bean(name="client-trust-manager-factory",
            parent=ClientConnectionManager.class,
            active=true)
      public class ClientTrustManagerFactory
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ClientTrustManagerFactory.ClientTrustVHostItemExtension` |
    `static class` | `ClientTrustManagerFactory.ClientTrustVHostItemExtensionProvider` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CA_CERT_PATH` |
    `static java.lang.String` | `CERT_REQUIRED_KEY` |
    `protected javax.net.ssl.TrustManager[]` | `defaultTrustManagers` |
    `protected javax.net.ssl.TrustManager[]` | `emptyTrustManager` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientTrustManagerFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.security.cert.X509Certificate[]` | `getAcceptedIssuers()` |
    `javax.net.ssl.TrustManager[]` | `getManager​(VHostItem vHost)` |
    `javax.net.ssl.TrustManager[]` | `getManager​(XMPPIOService<java.lang.Object> serv)` |
    `boolean` | `isActive()` |
    `boolean` | `isTlsNeedClientAuthEnabled​(VHostItem vhost)` |
    `boolean` | `isTlsWantClientAuthEnabled​(VHostItem vhost)` |
    `protected javax.net.ssl.TrustManager[]` | `loadTrustedCert​(java.lang.String caCertFile)` |
    `void` | `setClientCertCA​(java.lang.String clientCertCA)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CA_CERT_PATH

          public static final java.lang.String CA_CERT_PATH

      See Also:
        Constant Field Values

    - #### CERT_REQUIRED_KEY

          public static final java.lang.String CERT_REQUIRED_KEY

      See Also:
        Constant Field Values

    - #### emptyTrustManager

          protected final javax.net.ssl.TrustManager[] emptyTrustManager

    - #### defaultTrustManagers

          protected javax.net.ssl.TrustManager[] defaultTrustManagers

  - ### Constructor Detail

    - #### ClientTrustManagerFactory

          public ClientTrustManagerFactory()

  - ### Method Detail

    - #### setClientCertCA

          public void setClientCertCA​(java.lang.String clientCertCA)

    - #### getManager

          public javax.net.ssl.TrustManager[] getManager​(VHostItem vHost)

    - #### getManager

          public javax.net.ssl.TrustManager[] getManager​(XMPPIOService<java.lang.Object> serv)

    - #### isActive

          public boolean isActive()

    - #### isTlsNeedClientAuthEnabled

          public boolean isTlsNeedClientAuthEnabled​(VHostItem vhost)

    - #### isTlsWantClientAuthEnabled

          public boolean isTlsWantClientAuthEnabled​(VHostItem vhost)

    - #### getAcceptedIssuers

          protected java.security.cert.X509Certificate[] getAcceptedIssuers()

    - #### loadTrustedCert

          protected javax.net.ssl.TrustManager[] loadTrustedCert​(java.lang.String caCertFile)